import { Vue } from "vue-property-decorator";
import { MessageThread } from "../../types/MessageThread";
import { PreviewMessages } from "../../types/PreviewMessages";
import MessageModule from "../../modules/MessageModule";
export default class ThreadMessages extends Vue {
    thread: MessageThread;
    dense: boolean;
    messageModule: MessageModule;
    hideMessages: boolean;
    get previewMessages(): PreviewMessages | null;
    get countHiddenMessage(): number;
    get showAllMessagesLabel(): string;
    created(): void;
    setEdit(isEdit: boolean): boolean;
}
